@import "assets/mat-palette.scss";

  .circle-wrap {
 
    width: 42px;
    height: 42px;
    background: #cacaca;
    border-radius: 50%;
    // border: 1px solid #cdcbd0;
  }

.circle-wrap .circle .mask,
.circle-wrap .circle .fill {
  width: 42px;
  height: 42px;
  position: absolute;
  border-radius: 50%;
}

.mask .fill {
  clip: rect(0px, 21px, 42px, 0px);
  background-color: #0000a0;
}

.circle-wrap .circle .mask {
    clip: rect(0px, 42px, 42px, 21px);
  }
  
  .mask.full,
  .circle .fill {
    animation: fill ease-in-out 3s;
    transform: rotate(var(--target-degrees));
  }
  
  @keyframes fill{
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(var(--target-degrees));
    }
  }

  .circle-wrap .inside-circle {
    width: 34px;
    height: 34px;
    border-radius: 50%;
    background: white;
    line-height: 34px;
    text-align: center;
    margin-top: 4px;
    margin-left: 4px;
    color: black;
    position: absolute;
    z-index: 100;
    font-weight: 300;
    font-size: 14px;
  }